import { AudioTrack, ConnectOptions, LocalParticipant, Participant, Room } from "livekit-client";
export interface RoomState {
    connect: (url: string, token: string, options?: ConnectOptions) => Promise<Room | undefined>;
    isConnecting: boolean;
    room?: Room;
    participants: Participant[];
    audioTracks: AudioTrack[];
    error?: Error;
}
export interface RoomOptions {
    sortParticipants?: (participants: Participant[]) => void;
}
export declare function useRoom(options?: RoomOptions): RoomState;
/**
 * Default sort for participants, it'll order participants by:
 * 1. dominant speaker (speaker with the loudest audio level)
 * 2. local participant
 * 3. other speakers that are recently active
 * 4. participants with video on
 * 5. by joinedAt
 */
export declare function sortParticipants(participants: Participant[], localParticipant?: LocalParticipant): void;
